# Screen rotation scripts

* https://kevinbecker.org/blog/2019/11/21/dell-venue-10-pro-5055-screen-rotation-in-gnome

## Usage - XFCE4

Install the optional dependency `iio-sensor-proxy` or `iio-sensor-proxy-git`.

Create a launcher with an icon symbolising "screen rotation" and use the following command:

```shell
de-p1st-rotate-screen
```

Every time you click on the launcher, the screen gets rotated to the current device orientation.

## Usage without acceleration sensor - XFCE4

Create two launchers, one with icon "arrow left" the other one with "arrow right"
and use the following commands:

```shell
de-p1st-rotate-screen "left"
```

```shell
de-p1st-rotate-screen "normal"
```

With these two launchers rotating the scren left into portrait mode or back to landscape mode
is just one quick click away.

![screenshot of the two launcher icons](launchers-with-left-and-right-arrow-icons.png)





## inotifywait

**TODO**: Use `ionotifywait` to periodically call the rotation script.

See: https://linuxappfinder.com/blog/auto_screen_rotation_in_ubuntu

## Surface Go 2

```shell
monitor-sensor --accell
```

just returns `orientation: undefined`.

After I switched to `iio-sensor-proxy-git` it was **working** until I rebooted.
Since then it does not work as well ...

**TODO**: Open an issue here: https://gitlab.freedesktop.org/hadess/iio-sensor-proxy
